%define module_name	gspca
%define module_version	1.00.20
%define module_release	alt1

%define kversion	2.6.24
%define krelease	alt2
%define flavour		ice-wks

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: gspca USB camera driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132632.2
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The gspca driver for Linux provides support for many different
models of webcams and digital cameras based on chips from Sunplus,
Z-star/Vimicro, Sonix, Etoms, Conexant, IcMedia/TransVision, Pixart.

Currently supported chips: SPCA500, SPCA501, SPCA504, SPCA505,
SPCA506, SPCA508, SPCA533, SPCA536, SPCA551, SPCA561, ET61X151,
ET61X251, ZC0301, ZC0301P, ZC0302, SN9C101, SN9C102, SN9C102P,
SN9C105, SN9C120, CX11646, TV_8532, PAC207-BCA, PAC7311, VC0321,
VC0323.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
install -d %buildroot%module_dir
install -p -m644 gspca.ko %buildroot%module_dir

install -d %buildroot%_docdir/%name-%version-%release
install -p -m644 changelog \
	%buildroot%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Sat Mar 22 2008 Igor Zubkov <icesik@altlinux.org> 1.00.20-alt1.132632.2
- build for kernel-image-ice-wks-2.6.24-alt2

* Sat Mar 22 2008 Igor Zubkov <icesik@altlinux.org> 1.00.20-alt1
- Updated to gspcav1 1.00.20 (20071224).

* Tue Dec 11 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.18-alt1
- Updated to gspcav1 1.00.18 (20070508).
- Added PAC7311 to the list of supported chips in package description.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.12-alt2
- Removed unneeded "Prereq: modutils".

* Sun Jan 14 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.12-alt1
- Updated to gspcav1 1.00.12; renamed the package to kernel-modules-gspca-*
  according to the kernel module name.
- Updated package description to include list of supported chips.
- Removed support for 2.4.x kernels.
- Removed all %%__* macro abuse from spec.

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 0.57.10-alt1
- New upstream release (0.57.10).
- Removed spca5xx-0.57.05-alt-no-c99.patch (obsolete).

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.05-alt3
- Fixed build with gcc-2.96.

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.05-alt2
- Enable build for x86_64.

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.05-alt1
- New upstream release (0.57.05).

* Tue Jul 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.00-alt1
- First build for ALT Linux.
